package com.ruoyi.baseinfo.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 交接班详情信息对象 base_shiftdetail_info
 * 
 * @author CaesarBao
 * @date 2020-10-28
 */
@Data
public class BaseShiftdetailInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 交接班编号 */
    @Excel(name = "交接班编号")
    private String shiftNo;

    /** 职位ID */
    @Excel(name = "职位ID")
    private String postId;

    /** 交接班人员ID */
    @Excel(name = "交接班人员ID")
    private String empId;

    /** 状态标志（0代表可用 1代表停用） */
    @Excel(name = "状态标志", readConverterExp = "0=代表可用,1=代表停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    private String postName;

    private String empName;

    public void setShiftNo(String shiftNo) 
    {
        this.shiftNo = shiftNo;
    }

    public String getShiftNo() 
    {
        return shiftNo;
    }
    public void setPostId(String postId) 
    {
        this.postId = postId;
    }

    public String getPostId() 
    {
        return postId;
    }
    public void setEmpId(String empId) 
    {
        this.empId = empId;
    }

    public String getEmpId() 
    {
        return empId;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shiftNo", getShiftNo())
            .append("postId", getPostId())
            .append("empId", getEmpId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
